Перейти к содержимому

condenser_api.get_withdraw_routes ​

Purpose ​

Возвращает маршруты вывода (withdraw route) аккаунта. Параметры: account:string; type:string

account (string)type (string)
"steemit""outgoing"Запрос исходящих маршрутов вывода (withdraw route) для "steemit".
"steemit""incoming"Запрос входящих маршрутов вывода (withdraw route) для "steemit".
"steemit""all"Запрос всех маршрутов вывода (withdraw route) для "steemit".

См. также: database_api.list_withdraw_vesting_routes

Parameters ​

PARAMETERS
json
[
  "",
  ""
]

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_withdraw_routes",
    "params": [
      "steemit",
      "outgoing"
    ],
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_withdraw_routes",
    "params": [
      "steemit",
      "incoming"
    ],
    "id": 1
  }'

Example 3 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_withdraw_routes",
    "params": [
      "steemit",
      "all"
    ],
    "id": 1
  }'

Response ​

RESPONSE
json
[
  {
    "id": 0,
    "from_account": "",
    "to_account": "",
    "percent": 0,
    "auto_vest": false
  }
]